Docs
Webhooks

List deliveries

GET/webhooks/{id}/deliveriesNeedsworkspace.settings

Newest first. Payloads and response bodies are on the single-delivery endpoint.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Path Parameters

id*integer

The endpoint's id.

Range1 <= value

Query Parameters

status?string

Filter by status.

Value in"pending""delivered""failed"
eventType?string

Filter by event type.

cursor?string

nextCursor from the previous page.

limit?integer

Page size, 1–100.

Range1 <= value <= 100
Default25

Response Body

OK

application/json
  1. response
deliveries*array<>
nextCursor*string|null
Shell
curl -X GET 'https://app.cueston.com/api/webhooks/1/deliveries'
Example Response
JSON
{
  "deliveries": [
    {
      "id": 42,
      "endpointId": 5,
      "eventId": "evt_2c8f1a64b0e94f1d",
      "eventType": "content.published",
      "status": "pending",
      "attempts": 1,
      "maxAttempts": 6,
      "nextAttemptAt": "2026-10-26T09:30:00Z",
      "lastAttemptAt": "2026-10-26T09:30:00Z",
      "lastError": "string",
      "responseStatus": 200,
      "durationMs": 184,
      "isTest": true,
      "redeliveryOf": 0,
      "createdAt": "2026-10-26T09:30:00Z",
      "deliveredAt": "2026-10-26T09:30:00Z",
      "payload": null,
      "responseBody": "string"
    }
  ],
  "nextCursor": "string"
}